﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_constraint.sql **/
 EXEC P_ALTERPK 'PK_SOECADM_ANNOUNCE', 'T_SOECADM_ANNOUNCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ANNOUNCE' AND KSQL_INDNAME = 'IDX_SOECADM_ANNOUNCE_NAME') CREATE INDEX IDX_SOECADM_ANNOUNCE_NAME ON T_SOECADM_ANNOUNCE ( FFULLNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ANNOUNCE' AND KSQL_INDNAME = 'IDX_SOECADM_ANNOUNCE_NUM') CREATE INDEX IDX_SOECADM_ANNOUNCE_NUM ON T_SOECADM_ANNOUNCE ( FFULLNUMBER );


 EXEC P_ALTERPK 'PK_SOECADM_ANNOUNCE_L', 'T_SOECADM_ANNOUNCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ANNOUNCE_L' AND KSQL_INDNAME = 'IDX_SOECADM_ANNOUNCE_L') CREATE INDEX IDX_SOECADM_ANNOUNCE_L ON T_SOECADM_ANNOUNCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_ANNOUNCEAUTH', 'T_SOECADM_ANNOUNCEAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ANNOUNCEAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_ANNOUNCEAUTH') CREATE INDEX IDX_SOECADM_ANNOUNCEAUTH ON T_SOECADM_ANNOUNCEAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_ANNOUNCEPOS', 'T_SOECADM_ANNOUNCEPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ANNOUNCEPOS' AND KSQL_INDNAME = 'IDX_SOECADM_ANNOUNCEPOS') CREATE INDEX IDX_SOECADM_ANNOUNCEPOS ON T_SOECADM_ANNOUNCEPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_DISCDECI', 'T_SOECADM_DISCDECI', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECI' AND KSQL_INDNAME = 'IDX_SOECADM_DISCDECI_NUM') CREATE INDEX IDX_SOECADM_DISCDECI_NUM ON T_SOECADM_DISCDECI ( FFULLNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECI' AND KSQL_INDNAME = 'IDX_SOECADM_DISCDECI_NAME') CREATE INDEX IDX_SOECADM_DISCDECI_NAME ON T_SOECADM_DISCDECI ( FFULLNAME );


 EXEC P_ALTERPK 'PK_SOECADM_DISCDECIAUTH', 'T_SOECADM_DISCDECIAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECIAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_DISCDECIAUTH') CREATE INDEX IDX_SOECADM_DISCDECIAUTH ON T_SOECADM_DISCDECIAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_DISCDECIPOS', 'T_SOECADM_DISCDECIPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECIPOS' AND KSQL_INDNAME = 'IDX_SOECADM_DISCDECIPOS') CREATE INDEX IDX_SOECADM_DISCDECIPOS ON T_SOECADM_DISCDECIPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_DISCDECIENTRY', 'T_SOECADM_DISCDECIENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECIENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_DISCDECIENTRY') CREATE INDEX IDX_SOECADM_DISCDECIENTRY ON T_SOECADM_DISCDECIENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_DISCDECIENTRY_L', 'T_SOECADM_DISCDECIENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISCDECIENTRY_L' AND KSQL_INDNAME = 'IDX_SOECADM_DISCDECIENTRY_L') CREATE INDEX IDX_SOECADM_DISCDECIENTRY_L ON T_SOECADM_DISCDECIENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_DISCATTACH', 'T_SOECADM_DISCATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISCATTACH' AND KSQL_INDNAME = 'IDX_SOECADM_DISCATTACH') CREATE INDEX IDX_SOECADM_DISCATTACH ON T_SOECADM_DISCATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_DISCPROPOS', 'T_SOECADM_DISCPROPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISCPROPOS' AND KSQL_INDNAME = 'IDX_SOECADM_DISCPROPOS') CREATE INDEX IDX_SOECADM_DISCPROPOS ON T_SOECADM_DISCPROPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_ATTACH', 'T_SOECADM_ATTACH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ATTACH' AND KSQL_INDNAME = 'IDX_SOECADM_ATTACH_PAGEID') CREATE INDEX IDX_SOECADM_ATTACH_PAGEID ON T_SOECADM_ATTACH ( FPAGEID ,FBILLID );


 EXEC P_ALTERPK 'PK_SOECADM_INTCONVO', 'T_SOECADM_INTCONVO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INTCONVO' AND KSQL_INDNAME = 'IDX_SOECADM_INTCONVO_APPREMREG') CREATE INDEX IDX_SOECADM_INTCONVO_APPREMREG ON T_SOECADM_INTCONVO ( FAPPREMREGID );


 EXEC P_ALTERPK 'PK_SOECADM_INTCONVO_L', 'T_SOECADM_INTCONVO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INTCONVO_L' AND KSQL_INDNAME = 'IDX_SOECADM_INTCONVO_L') CREATE INDEX IDX_SOECADM_INTCONVO_L ON T_SOECADM_INTCONVO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_INTCONVOAUTH', 'T_SOECADM_INTCONVOAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INTCONVOAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_INTCONVOAUTH') CREATE INDEX IDX_SOECADM_INTCONVOAUTH ON T_SOECADM_INTCONVOAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_INTCONVOPOS', 'T_SOECADM_INTCONVOPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INTCONVOPOS' AND KSQL_INDNAME = 'IDX_SOECADM_INTCONVOPOS') CREATE INDEX IDX_SOECADM_INTCONVOPOS ON T_SOECADM_INTCONVOPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTION', 'T_SOECADM_MOTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTION' AND KSQL_INDNAME = 'IDX_SOECADM_MOTION_APPREMREG') CREATE INDEX IDX_SOECADM_MOTION_APPREMREG ON T_SOECADM_MOTION ( FAPPREMREGID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTION_L', 'T_SOECADM_MOTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTION_L' AND KSQL_INDNAME = 'IDX_SOECADM_MOTION_L') CREATE INDEX IDX_SOECADM_MOTION_L ON T_SOECADM_MOTION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTIONPAR', 'T_SOECADM_MOTIONPAR', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONPAR' AND KSQL_INDNAME = 'IDX_SOECADM_MOTIONPAR') CREATE INDEX IDX_SOECADM_MOTIONPAR ON T_SOECADM_MOTIONPAR ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTIONAUTH', 'T_SOECADM_MOTIONAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_MOTIONAUTH') CREATE INDEX IDX_SOECADM_MOTIONAUTH ON T_SOECADM_MOTIONAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_MOTIONPOS', 'T_SOECADM_MOTIONPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_MOTIONPOS' AND KSQL_INDNAME = 'IDX_SOECADM_MOTIONPOS') CREATE INDEX IDX_SOECADM_MOTIONPOS ON T_SOECADM_MOTIONPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_APPREM', 'T_SOECADM_APPREM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_APPREM' AND KSQL_INDNAME = 'IDX_SOECADM_APPREM') CREATE INDEX IDX_SOECADM_APPREM ON T_SOECADM_APPREM ( FAPPREMREGID ,FAPPREMREGENTID ,FAPPREMPERID );


 EXEC P_ALTERPK 'PK_SOECADM_APPREMREG_L', 'T_SOECADM_APPREMREG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_APPREMREG_L' AND KSQL_INDNAME = 'IDX_SOECADM_APPREMREG_L') CREATE INDEX IDX_SOECADM_APPREMREG_L ON T_SOECADM_APPREMREG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_REMENTRY', 'T_SOECADM_REMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REMENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_REMENTRY') CREATE INDEX IDX_SOECADM_REMENTRY ON T_SOECADM_REMENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_INCPOSENTRY', 'T_SOECADM_INCPOSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INCPOSENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_INCPOSENTRY') CREATE INDEX IDX_SOECADM_INCPOSENTRY ON T_SOECADM_INCPOSENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_CHAPOSENTRY', 'T_SOECADM_CHAPOSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_CHAPOSENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_CHAPOSENTRY') CREATE INDEX IDX_SOECADM_CHAPOSENTRY ON T_SOECADM_CHAPOSENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_ARRAUTHENTRY', 'T_SOECADM_ARRAUTHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ARRAUTHENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_ARRAUTHENTRY') CREATE INDEX IDX_SOECADM_ARRAUTHENTRY ON T_SOECADM_ARRAUTHENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_APPREMREG', 'T_SOECADM_APPREMREG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_APPREMREG' AND KSQL_INDNAME = 'IDX_SOECADM_APPREMREG') CREATE INDEX IDX_SOECADM_APPREMREG ON T_SOECADM_APPREMREG ( FFULLNAME );


 EXEC P_ALTERPK 'PK_SOECADM_APPENTRY', 'T_SOECADM_APPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_APPENTRY' AND KSQL_INDNAME = 'IDX_SOECADM_APPENTRY') CREATE INDEX IDX_SOECADM_APPENTRY ON T_SOECADM_APPENTRY ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_INVLEADER', 'T_SOECADM_INVLEADER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVLEADER' AND KSQL_INDNAME = 'IDX_SOECADM_INVLEADER') CREATE INDEX IDX_SOECADM_INVLEADER ON T_SOECADM_INVLEADER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_INVSOLUTION', 'T_SOECADM_INVSOLUTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVSOLUTION' AND KSQL_INDNAME = 'IDX_SOECADM_INVSOLUTION_NUM') CREATE INDEX IDX_SOECADM_INVSOLUTION_NUM ON T_SOECADM_INVSOLUTION ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVSOLUTION' AND KSQL_INDNAME = 'IDX_SOECADM_INVSOLUTION_NAME') CREATE INDEX IDX_SOECADM_INVSOLUTION_NAME ON T_SOECADM_INVSOLUTION ( FFULLNAME );


 EXEC P_ALTERPK 'PK_SOECADM_INVSOLAUTH', 'T_SOECADM_INVSOLAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVSOLAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_INVSOLAUTH') CREATE INDEX IDX_SOECADM_INVSOLAUTH ON T_SOECADM_INVSOLAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_INVMEMBER', 'T_SOECADM_INVMEMBER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVMEMBER' AND KSQL_INDNAME = 'IDX_SOECADM_INVMEMBER') CREATE INDEX IDX_SOECADM_INVMEMBER ON T_SOECADM_INVMEMBER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_INVSOLPOS', 'T_SOECADM_INVSOLPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVSOLPOS' AND KSQL_INDNAME = 'IDX_SOECADM_INVSOLPOS') CREATE INDEX IDX_SOECADM_INVSOLPOS ON T_SOECADM_INVSOLPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_INVSOLUTION_L', 'T_SOECADM_INVSOLUTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVSOLUTION_L' AND KSQL_INDNAME = 'IDX_SOECADM_INVSOLUTION_L') CREATE INDEX IDX_SOECADM_INVSOLUTION_L ON T_SOECADM_INVSOLUTION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_INVRECAUTH', 'T_SOECADM_INVRECAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVRECAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_INVRECAUTH') CREATE INDEX IDX_SOECADM_INVRECAUTH ON T_SOECADM_INVRECAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_INVRECORD_L', 'T_SOECADM_INVRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVRECORD_L' AND KSQL_INDNAME = 'IDX_SOECADM_INVRECORD_L') CREATE INDEX IDX_SOECADM_INVRECORD_L ON T_SOECADM_INVRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_INVRECORD', 'T_SOECADM_INVRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVRECORD' AND KSQL_INDNAME = 'IDX_SOECADM_APPREMREGID') CREATE INDEX IDX_SOECADM_APPREMREGID ON T_SOECADM_INVRECORD ( FAPPREMREGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVRECORD' AND KSQL_INDNAME = 'IDX_SOECADM_INVRECORD_NAME') CREATE INDEX IDX_SOECADM_INVRECORD_NAME ON T_SOECADM_INVRECORD ( FFULLNAME );


 EXEC P_ALTERPK 'PK_SOECADM_INVRECPOS', 'T_SOECADM_INVRECPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_INVRECPOS' AND KSQL_INDNAME = 'IDX_SOECADM_INVRECPOS') CREATE INDEX IDX_SOECADM_INVRECPOS ON T_SOECADM_INVRECPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_DISPBATCH', 'T_SOECADM_DISPBATCH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISPBATCH' AND KSQL_INDNAME = 'IDX_SOECADM_DISPBATCH_BILLNO') CREATE INDEX IDX_SOECADM_DISPBATCH_BILLNO ON T_SOECADM_DISPBATCH ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOECADM_DISPATCHAPPREM', 'T_SOECADM_DISPATCHAPPREM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISPATCHAPPREM' AND KSQL_INDNAME = 'IDX_SOECADM_DISPATCHAPPREM') CREATE INDEX IDX_SOECADM_DISPATCHAPPREM ON T_SOECADM_DISPATCHAPPREM ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_DISPSUSPEND', 'T_SOECADM_DISPSUSPEND', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISPSUSPEND' AND KSQL_INDNAME = 'IDX_SOECADM_DISP_WAITDISPID') CREATE INDEX IDX_SOECADM_DISP_WAITDISPID ON T_SOECADM_DISPSUSPEND ( FWAITDISPID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISPSUSPEND' AND KSQL_INDNAME = 'IDX_SOECADM_DISP_APPREMID') CREATE INDEX IDX_SOECADM_DISP_APPREMID ON T_SOECADM_DISPSUSPEND ( FAPPREMID );


 EXEC P_ALTERPK 'PK_SOECADM_DISPBATCH_L', 'T_SOECADM_DISPBATCH_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DISPBATCH_L' AND KSQL_INDNAME = 'IDX_SOECADM_DISPBATCH_L') CREATE INDEX IDX_SOECADM_DISPBATCH_L ON T_SOECADM_DISPBATCH_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_SOECADM_WAITDISP', 'T_SOECADM_WAITDISP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_WAITDISP' AND KSQL_INDNAME = 'IDX_SOECADM_WAIT_FACTIVITYID') CREATE INDEX IDX_SOECADM_WAIT_FACTIVITYID ON T_SOECADM_WAITDISP ( FACTIVITYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_WAITDISP' AND KSQL_INDNAME = 'IDX_SOECADM_WAIT_FAPPREMPERID') CREATE INDEX IDX_SOECADM_WAIT_FAPPREMPERID ON T_SOECADM_WAITDISP ( FAPPREMPERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_WAITDISP' AND KSQL_INDNAME = 'IDX_SOECADM_WAIT_FAPPREMID') CREATE INDEX IDX_SOECADM_WAIT_FAPPREMID ON T_SOECADM_WAITDISP ( FAPPREMID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_WAITDISP' AND KSQL_INDNAME = 'IDX_SOECADM_WAIT_FAPPREMREGID') CREATE INDEX IDX_SOECADM_WAIT_FAPPREMREGID ON T_SOECADM_WAITDISP ( FAPPREMREGID );


 EXEC P_ALTERPK 'PK_SOECADM_DEMREC', 'T_SOECADM_DEMREC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DEMREC' AND KSQL_INDNAME = 'IDX_SOECADM_DEMREC_APPREMREGID') CREATE INDEX IDX_SOECADM_DEMREC_APPREMREGID ON T_SOECADM_DEMREC ( FAPPREMREGID );


 EXEC P_ALTERPK 'PK_SOECADM_DEMREC_L', 'T_SOECADM_DEMREC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DEMREC_L' AND KSQL_INDNAME = 'IDX_SOECADM_DEMREC_L') CREATE INDEX IDX_SOECADM_DEMREC_L ON T_SOECADM_DEMREC_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_DEMRECAUTH', 'T_SOECADM_DEMRECAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DEMRECAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_DEMRECAUTH') CREATE INDEX IDX_SOECADM_DEMRECAUTH ON T_SOECADM_DEMRECAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_DEMRECPOS', 'T_SOECADM_DEMRECPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_DEMRECPOS' AND KSQL_INDNAME = 'IDX_SOECADM_DEMRECPOS') CREATE INDEX IDX_SOECADM_DEMRECPOS ON T_SOECADM_DEMRECPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_PERAFFAIRSINFO', 'T_SOECADM_PERAFFAIRSINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PERAFFAIRSINFO' AND KSQL_INDNAME = 'IDX_SOECADM_PERAFFAIRSINFO_FID') CREATE INDEX IDX_SOECADM_PERAFFAIRSINFO_FID ON T_SOECADM_PERAFFAIRSINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_SOECADM_PERAFFAIRSINFO_L', 'T_SOECADM_PERAFFAIRSINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PERAFFAIRSINFO_L' AND KSQL_INDNAME = 'IDX_SOECADM_PERAFFAIRSINFO_L') CREATE INDEX IDX_SOECADM_PERAFFAIRSINFO_L ON T_SOECADM_PERAFFAIRSINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_APPREMAFFAIRS', 'T_SOECADM_APPREMAFFAIRS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_APPREMAFFAIRS' AND KSQL_INDNAME = 'IDX_SOECADM_APPREMAFFAIRS_FID') CREATE INDEX IDX_SOECADM_APPREMAFFAIRS_FID ON T_SOECADM_APPREMAFFAIRS ( FAPPREMREGID );


 EXEC P_ALTERPK 'PK_SOECADM_ARCVER', 'T_SOECADM_ARCVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ARCVER' AND KSQL_INDNAME = 'IDX_SOECADM_ARCVER') CREATE INDEX IDX_SOECADM_ARCVER ON T_SOECADM_ARCVER ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOECADM_ARCVER_VER', 'T_SOECADM_ARCVER_VER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ARCVER_VER' AND KSQL_INDNAME = 'IDX_ARCVER_VERIFIER') CREATE INDEX IDX_ARCVER_VERIFIER ON T_SOECADM_ARCVER_VER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_COMVER', 'T_SOECADM_COMVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_COMVER' AND KSQL_INDNAME = 'IDX_SOECADM_COMVER') CREATE INDEX IDX_SOECADM_COMVER ON T_SOECADM_COMVER ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOECADM_COMVER_VER', 'T_SOECADM_COMVER_VER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_COMVER_VER' AND KSQL_INDNAME = 'IDX_COMVER_VERIFIER') CREATE INDEX IDX_COMVER_VERIFIER ON T_SOECADM_COMVER_VER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_REPVER', 'T_SOECADM_REPVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REPVER' AND KSQL_INDNAME = 'IDX_SOECADM_REPVER') CREATE INDEX IDX_SOECADM_REPVER ON T_SOECADM_REPVER ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOECADM_REPVER_VER', 'T_SOECADM_REPVER_VER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REPVER_VER' AND KSQL_INDNAME = 'IDX_REPVER_VERIFIER') CREATE INDEX IDX_REPVER_VERIFIER ON T_SOECADM_REPVER_VER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_ARCVER_L', 'T_SOECADM_ARCVER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_ARCVER_L' AND KSQL_INDNAME = 'IDX_SOECADM_ARCVER_L') CREATE INDEX IDX_SOECADM_ARCVER_L ON T_SOECADM_ARCVER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_COMVER_L', 'T_SOECADM_COMVER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_COMVER_L' AND KSQL_INDNAME = 'IDX_SOECADM_COMVER_L') CREATE INDEX IDX_SOECADM_COMVER_L ON T_SOECADM_COMVER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_REPVER_L', 'T_SOECADM_REPVER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REPVER_L' AND KSQL_INDNAME = 'IDX_SOECADM_REPVER_L') CREATE INDEX IDX_SOECADM_REPVER_L ON T_SOECADM_REPVER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_SOLVER', 'T_SOECADM_SOLVER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SOLVER' AND KSQL_INDNAME = 'IDX_SOECADM_SOLVER') CREATE INDEX IDX_SOECADM_SOLVER ON T_SOECADM_SOLVER ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOECADM_SOLVER_L', 'T_SOECADM_SOLVER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SOLVER_L' AND KSQL_INDNAME = 'IDX_SOECADM_SOLVER_L') CREATE INDEX IDX_SOECADM_SOLVER_L ON T_SOECADM_SOLVER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_SOLVER_VER', 'T_SOECADM_SOLVER_VER', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SOLVER_VER' AND KSQL_INDNAME = 'IDX_SOLVER_VERIFIER') CREATE INDEX IDX_SOLVER_VERIFIER ON T_SOECADM_SOLVER_VER ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_SUBCHECK', 'T_SOECADM_SUBCHECK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SUBCHECK' AND KSQL_INDNAME = 'IDX_SOECADM_SUBCHECK') CREATE INDEX IDX_SOECADM_SUBCHECK ON T_SOECADM_SUBCHECK ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOECADM_SUBCHECKAUTH', 'T_SOECADM_SUBCHECKAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SUBCHECKAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_SUBCHECKAUTH') CREATE INDEX IDX_SOECADM_SUBCHECKAUTH ON T_SOECADM_SUBCHECKAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_SUBCHECKPOS', 'T_SOECADM_SUBCHECKPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SUBCHECKPOS' AND KSQL_INDNAME = 'IDX_SOECADM_SUBCHECKPOS') CREATE INDEX IDX_SOECADM_SUBCHECKPOS ON T_SOECADM_SUBCHECKPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_CONVO', 'T_SOECADM_CONVO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_CONVO' AND KSQL_INDNAME = 'IDX_SOECADM_CONVO_BILLNO') CREATE INDEX IDX_SOECADM_CONVO_BILLNO ON T_SOECADM_CONVO ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOECADM_CONVO_L', 'T_SOECADM_CONVO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_CONVO_L' AND KSQL_INDNAME = 'IDX_SOECADM_CONVO_L') CREATE INDEX IDX_SOECADM_CONVO_L ON T_SOECADM_CONVO_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_ATTACHMENT', 'ATTACHMENT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'ATTACHMENT' AND KSQL_INDNAME = 'IDX_ATTACHMENT') CREATE INDEX IDX_ATTACHMENT ON ATTACHMENT ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_CONVOAUTH', 'T_SOECADM_CONVOAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_CONVOAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_CONVOAUTH') CREATE INDEX IDX_SOECADM_CONVOAUTH ON T_SOECADM_CONVOAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_CONVOPOS', 'T_SOECADM_CONVOPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_CONVOPOS' AND KSQL_INDNAME = 'IDX_SOECADM_CONVOPOS') CREATE INDEX IDX_SOECADM_CONVOPOS ON T_SOECADM_CONVOPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_PUBBAT', 'T_SOECADM_PUBBAT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBAT' AND KSQL_INDNAME = 'IDX_SOECADM_PABBAT_BILLNO') CREATE INDEX IDX_SOECADM_PABBAT_BILLNO ON T_SOECADM_PUBBAT ( FBILLNO );


 EXEC P_ALTERPK 'PK_SOECADM_PUBBAT_L', 'T_SOECADM_PUBBAT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBAT_L' AND KSQL_INDNAME = 'IDX_SOECADM_PUBBAT_L') CREATE INDEX IDX_SOECADM_PUBBAT_L ON T_SOECADM_PUBBAT_L ( FLOCALEID ,FID );


 EXEC P_ALTERPK 'PK_SOECADM_PUBBATPER', 'T_SOECADM_PUBBATPER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATPER' AND KSQL_INDNAME = 'IDX_SOECADM_PUBBATPER') CREATE INDEX IDX_SOECADM_PUBBATPER ON T_SOECADM_PUBBATPER ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_PUBBATPER_L', 'T_SOECADM_PUBBATPER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATPER_L' AND KSQL_INDNAME = 'IDX_SOECADM_PUBBATPER_L') CREATE INDEX IDX_SOECADM_PUBBATPER_L ON T_SOECADM_PUBBATPER_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_SOECADM_PUBBATREC', 'T_SOECADM_PUBBATREC', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATREC' AND KSQL_INDNAME = 'IDX_SOECADM_PUBBATREC') CREATE INDEX IDX_SOECADM_PUBBATREC ON T_SOECADM_PUBBATREC ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_PUBBATREC_L', 'T_SOECADM_PUBBATREC_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATREC_L' AND KSQL_INDNAME = 'IDX_SOECADM_PUBBATREC_L') CREATE INDEX IDX_SOECADM_PUBBATREC_L ON T_SOECADM_PUBBATREC_L ( FLOCALEID ,FENTRYID );


 EXEC P_ALTERPK 'PK_SOECADM_PUBBATAUTH', 'T_SOECADM_PUBBATAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PUBBATAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_PUBBATAUTH') CREATE INDEX IDX_SOECADM_PUBBATAUTH ON T_SOECADM_PUBBATAUTH ( FID );

EXEC P_ALTERPK 'PK_SOECADM_PUBPER', 'T_SOECADM_PUBPER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'T_SOECADM_PUBPER_BILLNO') CREATE INDEX T_SOECADM_PUBPER_BILLNO ON T_SOECADM_PUBPER ( FBILLNO );


EXEC P_ALTERPK 'PK_SOECADM_PUBPERAUTH', 'T_SOECADM_PUBPERAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SOECADM_PUBPERAUTH') CREATE INDEX IDX_SOECADM_PUBPERAUTH ON T_SOECADM_PUBPERAUTH ( FID );


EXEC P_ALTERPK 'PK_SOECADM_PUBPERPOS', 'T_SOECADM_PUBPERPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SOECADM_PUBPERPOS') CREATE INDEX IDX_SOECADM_PUBPERPOS ON T_SOECADM_PUBPERPOS ( FID );

/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_constraint.sql **/
