﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_constraint.sql **/
 EXEC P_ALTERPK 'PK_SOECADM_REVIEWFILEAUTH', 'T_SOECADM_REVIEWFILEAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REVIEWFILEAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_REVIEWFILEAUTH') CREATE INDEX IDX_SOECADM_REVIEWFILEAUTH ON T_SOECADM_REVIEWFILEAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_REVFILEVEF', 'T_SOECADM_REVFILEVEF', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REVFILEVEF' AND KSQL_INDNAME = 'IDX_SOECADM_REVFILEVEF') CREATE INDEX IDX_SOECADM_REVFILEVEF ON T_SOECADM_REVFILEVEF ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_REVIEWFILEPOS', 'T_SOECADM_REVIEWFILEPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REVIEWFILEPOS' AND KSQL_INDNAME = 'IDX_SOECADM_REVIEWFILEPOS') CREATE INDEX IDX_SOECADM_REVIEWFILEPOS ON T_SOECADM_REVIEWFILEPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_REVIEWFILE', 'T_SOECADM_REVIEWFILE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REVIEWFILE' AND KSQL_INDNAME = 'IDX_SOECADM_REVIEWFILE_NAME') CREATE INDEX IDX_SOECADM_REVIEWFILE_NAME ON T_SOECADM_REVIEWFILE ( FFULLNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REVIEWFILE' AND KSQL_INDNAME = 'IDX_SOECADM_REVIEWFILE_REG') CREATE INDEX IDX_SOECADM_REVIEWFILE_REG ON T_SOECADM_REVIEWFILE ( FAPPREMREGID );


 EXEC P_ALTERPK 'PK_SOECADM_REVIEWFILE_L', 'T_SOECADM_REVIEWFILE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_REVIEWFILE_L' AND KSQL_INDNAME = 'IDX_SOECADM_REVIEWFILE_L') CREATE INDEX IDX_SOECADM_REVIEWFILE_L ON T_SOECADM_REVIEWFILE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_PERSONALREP', 'T_SOECADM_PERSONALREP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PERSONALREP' AND KSQL_INDNAME = 'IDX_SOECADM_PERSONALREP_NAME') CREATE INDEX IDX_SOECADM_PERSONALREP_NAME ON T_SOECADM_PERSONALREP ( FFULLNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PERSONALREP' AND KSQL_INDNAME = 'IDX_SOECADM_PERSONALREP_REG') CREATE INDEX IDX_SOECADM_PERSONALREP_REG ON T_SOECADM_PERSONALREP ( FAPPREMREGID );


 EXEC P_ALTERPK 'PK_SOECADM_PERREPAUTH', 'T_SOECADM_PERREPAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PERREPAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_PERREPAUTH') CREATE INDEX IDX_SOECADM_PERREPAUTH ON T_SOECADM_PERREPAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_PERSONALREPPOS', 'T_SOECADM_PERSONALREPPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PERSONALREPPOS' AND KSQL_INDNAME = 'IDX_SOECADM_PERSONALREPPOS') CREATE INDEX IDX_SOECADM_PERSONALREPPOS ON T_SOECADM_PERSONALREPPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_PERSONALREP_L', 'T_SOECADM_PERSONALREP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PERSONALREP_L' AND KSQL_INDNAME = 'IDX_SOECADM_PERSONALREP_L') CREATE INDEX IDX_SOECADM_PERSONALREP_L ON T_SOECADM_PERSONALREP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_PERREPVEF', 'T_SOECADM_PERREPVEF', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_PERREPVEF' AND KSQL_INDNAME = 'IDX_SOECADM_PERREPVEF') CREATE INDEX IDX_SOECADM_PERREPVEF ON T_SOECADM_PERREPVEF ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_SOLICITSUP_L', 'T_SOECADM_SOLICITSUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SOLICITSUP_L' AND KSQL_INDNAME = 'IDX_SOECADM_SOLICITSUP_L') CREATE INDEX IDX_SOECADM_SOLICITSUP_L ON T_SOECADM_SOLICITSUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_SOLSUPVEF', 'T_SOECADM_SOLSUPVEF', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SOLSUPVEF' AND KSQL_INDNAME = 'IDX_SOECADM_SOLSUPVEF') CREATE INDEX IDX_SOECADM_SOLSUPVEF ON T_SOECADM_SOLSUPVEF ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_SOLICITSUP', 'T_SOECADM_SOLICITSUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SOLICITSUP' AND KSQL_INDNAME = 'IDX_SOECADM_SOLAPPREGID') CREATE INDEX IDX_SOECADM_SOLAPPREGID ON T_SOECADM_SOLICITSUP ( FAPPREMREGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SOLICITSUP' AND KSQL_INDNAME = 'IDX_SOECADM_SOLVER_NAME') CREATE INDEX IDX_SOECADM_SOLVER_NAME ON T_SOECADM_SOLICITSUP ( FFULLNAME );


 EXEC P_ALTERPK 'PK_SOECADM_SOLICITSUPPOS', 'T_SOECADM_SOLICITSUPPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SOLICITSUPPOS' AND KSQL_INDNAME = 'IDX_SOECADM_SOLICITSUPPOS') CREATE INDEX IDX_SOECADM_SOLICITSUPPOS ON T_SOECADM_SOLICITSUPPOS ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_SOLICITSUPAUTH', 'T_SOECADM_SOLICITSUPAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_SOLICITSUPAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_SOLICITSUPAUTH') CREATE INDEX IDX_SOECADM_SOLICITSUPAUTH ON T_SOECADM_SOLICITSUPAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_COMPLAINTREP', 'T_SOECADM_COMPLAINTREP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_COMPLAINTREP' AND KSQL_INDNAME = 'IDX_SOECADM_COMAPPREGID') CREATE INDEX IDX_SOECADM_COMAPPREGID ON T_SOECADM_COMPLAINTREP ( FAPPREMREGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_COMPLAINTREP' AND KSQL_INDNAME = 'IDX_SOECADM_COMVER_NAME') CREATE INDEX IDX_SOECADM_COMVER_NAME ON T_SOECADM_COMPLAINTREP ( FFULLNAME );


 EXEC P_ALTERPK 'PK_SOECADM_COMREPVEF', 'T_SOECADM_COMREPVEF', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_COMREPVEF' AND KSQL_INDNAME = 'IDX_SOECADM_COMREPVEF') CREATE INDEX IDX_SOECADM_COMREPVEF ON T_SOECADM_COMREPVEF ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_SOECADM_COMPLAINTREP_L', 'T_SOECADM_COMPLAINTREP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_COMPLAINTREP_L' AND KSQL_INDNAME = 'IDX_SOECADM_COMPLAINTREP_L') CREATE INDEX IDX_SOECADM_COMPLAINTREP_L ON T_SOECADM_COMPLAINTREP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SOECADM_COMREPAUTH', 'T_SOECADM_COMREPAUTH', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_COMREPAUTH' AND KSQL_INDNAME = 'IDX_SOECADM_COMREPAUTH') CREATE INDEX IDX_SOECADM_COMREPAUTH ON T_SOECADM_COMREPAUTH ( FID );


 EXEC P_ALTERPK 'PK_SOECADM_COMREPPOS', 'T_SOECADM_COMREPPOS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SOECADM_COMREPPOS' AND KSQL_INDNAME = 'IDX_SOECADM_COMREPPOS') CREATE INDEX IDX_SOECADM_COMREPPOS ON T_SOECADM_COMREPPOS ( FID );



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_constraint.sql **/
