﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_APPREMREC')
CREATE TABLE T_SOECADM_APPREMREC (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
                                     FBILLSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                     FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                     FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                     FAUDITDATE DATETIME,
                                     FMODIFYTIME DATETIME,
                                     FCREATETIME DATETIME,
                                     FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
                                     FEVENTEFFECTDATE DATETIME,
                                     FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
                                     FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                     FAUDITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FAUDITDATEBIZ DATETIME,
                                     FOTHCONREC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FAPPREMREGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_APPREMREC_L')
CREATE TABLE T_SOECADM_APPREMREC_L (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                       FOTHCONREC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_RECAUDITOR')
CREATE TABLE T_SOECADM_RECAUDITOR (
                                      FPKID BIGINT DEFAULT 0 NOT NULL,
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECADM_RECPREPARER')
CREATE TABLE T_SOECADM_RECPREPARER (
                                       FPKID BIGINT DEFAULT 0 NOT NULL,
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECADM_table.sql **/
